[zeromq-dev] Cross -Compiling with gcc-3.3.1

Mikko Koppanen mikko.koppanen at gmail.com
Tue Aug 30 00:53:37 CEST 2011


On Mon, Aug 29, 2011 at 9:02 PM, Alex Ramirez <alex.r.ramirez at gmail.com> wrote:
> Hi,
>
> Have been attempting to cross compile libzmq.a for a PowerPC-405
> processor which uses the following tool set versions:
>
> gcc 3.3.1
> glibc 2.3.2
>
> As expected, have received multiple linking errors relating to
> features not available with libstdc++.so.5 (gcc 3.3.1). The
> PopwerPC-405 is prepackaged with a custom linux installation that is
> provided by a third party vendor. I've contacted them about support
> for upgrading to newer versions of gcc and glibc, tough it's likely
> this will not be an option.
>
> Has any had any experience/success cross compiling zeromq libraries
> with these older toolsets?
>

Hi Alex,

which features specifically are not available?

-- 
Mikko Koppanen



More information about the zeromq-dev mailing list